Skip to content

Fulfill (settle) an English auction

POST
/collection/{highlightId}/sales/auction/fulfill

Build the permissionless AuctionManager.fulfillAuction transaction. After the auction’s end time anyone may settle it: the contract delivers the escrowed NFT to the winner’s preferred recipient and splits the proceeds (95% recipient / 5% platform).

highlightId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
object
saleId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Fulfill transaction configuration

object
chainId
required
integer
> 0 <= 9007199254740991
to
required
Any of:
string
data
required
string
value
required
string

Invalid request

Unauthorized

Not found

Internal server error